Subject: bug#54437: 28.0.92; command-modes returns nil for native compiled functions

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 17 Mar 2022 21:02:40 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> No, I'm still running through various setups.  I'm on holday(ish) and
> this laptop is rather slow when doing a bunch of builds in different
> configurations.

Something was wonky, and I wasn't sure what, but I think there's an
error in our nativecomp builds: If make a change to a header file that
results in a fingerprint change, say "make" won't build the .eln files
now required in the native-lisp/ directory.  Which made me think I was
doing something wrong, but apparently this is just the way it is.

The patch works, and applying it does not seem to make previous
installations bug out.  I think.  But I have to do a few more test
builds, because I'm still not sure of just what I'm seeing.  So no patch
today.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no